Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.opengl.util
Class PMVMatrix

    java.lang.Object
      com.sun.opengl.util.PMVMatrix

All Implemented Interfaces:
  GLMatrixFunc

    public class PMVMatrix

extends Object
implements GLMatrixFunc

Field Summary
`static int` | `DIRTY_MODELVIEW`
`static int` | `DIRTY_PROJECTION`
`static int` | `DIRTY_TEXTURE`
`protected FloatBuffer` | `localBuf`
`protected FloatBuffer` | `matrixFrustum`
`protected FloatBuffer` | `matrixIdent`
`protected int` | `matrixMode`
`protected FloatBuffer` | `matrixMult`
`protected FloatBuffer` | `matrixMv`
`protected FloatBuffer` | `matrixMvi`
`protected FloatBuffer` | `matrixMvit`
`protected FloatBuffer` | `matrixMvit3`
`protected List` | `matrixMvStack`
`protected FloatBuffer` | `matrixOrtho`
`protected FloatBuffer` | `matrixP`
`protected FloatBuffer` | `matrixPmv`
`protected FloatBuffer` | `matrixPMv`
`protected FloatBuffer` | `matrixPMvMvi`
`protected FloatBuffer` | `matrixPMvMvit`
`protected FloatBuffer` | `matrixPMvMvitPmv`
`protected List` | `matrixPStack`
`protected FloatBuffer` | `matrixRot`
`protected FloatBuffer` | `matrixScale`
`protected FloatBuffer` | `matrixT`
`protected FloatBuffer` | `matrixTPMvMvitPmv`
`protected FloatBuffer` | `matrixTrans`
`protected List` | `matrixTStack`
`protected int` | `modified`
`protected com.sun.opengl.impl.ProjectFloat` | `projectFloat`
`protected float[]` | `vec3f`

Fields inherited from interface javax.media.opengl.fixedfunc.GLMatrixFunc
`GL_MATRIX_MODE, GL_MODELVIEW, GL_MODELVIEW_MATRIX, GL_PROJECTION, GL_PROJECTION_MATRIX, GL_TEXTURE_MATRIX`

Constructor Summary
`PMVMatrix()`

Method Summary
`void` | `destroy()`
`int` | `getDirtyBits()`
`void` | `glFrustumf(float left, float right, float bottom, float top, float zNear, float zFar)`
`void` | `glGetFloatv(int matrixGetName, float[] params, int params_offset)`
`void` | `glGetFloatv(int matrixGetName, FloatBuffer params)` glGetFloatv
`void` | `glGetIntegerv(int pname, int[] params, int params_offset)`
`void` | `glGetIntegerv(int pname, IntBuffer params)` glGetIntegerv
`FloatBuffer` | `glGetMatrixf()`
`FloatBuffer` | `glGetMatrixf(int matrixName)`
`int` | `glGetMatrixMode()`
`FloatBuffer` | `glGetMviMatrixf()`
`FloatBuffer` | `glGetMvMatrixf()`
`FloatBuffer` | `glGetNormalMatrixf()`
`FloatBuffer` | `glGetPMatrixf()`
`FloatBuffer` | `glGetPmvMatrixf()`
`FloatBuffer` | `glGetPMvMatrixf()`
`FloatBuffer` | `glGetPMvMviMatrixf()`
`FloatBuffer` | `glGetPMvMvitMatrixf()`
`FloatBuffer` | `glGetPMvMvitPmvMatrixf()`
`FloatBuffer` | `glGetTMatrixf()`
`void` | `glLoadIdentity()`
`void` | `glLoadMatrixf(float[] values, int offset)`
`void` | `glLoadMatrixf(FloatBuffer m)` glLoadMatrixf
`void` | `glMatrixMode(int matrixName)` sets the current matrix
`void` | `glMultMatrixf(float[] m, int m_offset)`
`void` | `glMultMatrixf(FloatBuffer m)` glMultMatrixf
`static void` | `glMultMatrixf(FloatBuffer a, float[] b, int b_off, FloatBuffer p)`
`static void` | `glMultMatrixf(FloatBuffer a, FloatBuffer b, FloatBuffer p)`
`void` | `glOrthof(float left, float right, float bottom, float top, float zNear, float zFar)`
`void` | `glPopMatrix()`
`void` | `glPushMatrix()`
`void` | `glRotatef(float angdeg, float x, float y, float z)`
`void` | `glScalef(float x, float y, float z)`
`void` | `glTranslatef(float x, float y, float z)`
`void` | `gluPerspective(float fovy, float aspect, float zNear, float zFar)`
`boolean` | `isDirty()`
`boolean` | `isDirty(int matrixName)`
`static boolean` | `isMatrixGetName(int matrixGetName)`
`static boolean` | `isMatrixModeName(int matrixModeName)`
`static int` | `matrixGetName2MatrixModeName(int matrixGetName)`
`static int` | `matrixModeName2MatrixGetName(int matrixModeName)`
`void` | `setDirty()`
`boolean` | `update()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### matrixIdent

    protected FloatBuffer matrixIdent

### matrixTPMvMvitPmv

    protected FloatBuffer matrixTPMvMvitPmv

### matrixPMvMvit

    protected FloatBuffer matrixPMvMvit

### matrixPMvMvitPmv

    protected FloatBuffer matrixPMvMvitPmv

### matrixPMvMvi

    protected FloatBuffer matrixPMvMvi

### matrixPMv

    protected FloatBuffer matrixPMv

### matrixP

    protected FloatBuffer matrixP

### matrixT

    protected FloatBuffer matrixT

### matrixMv

    protected FloatBuffer matrixMv

### matrixMvi

    protected FloatBuffer matrixMvi

### matrixMvit

    protected FloatBuffer matrixMvit

### matrixPmv

    protected FloatBuffer matrixPmv

### matrixMvit3

    protected FloatBuffer matrixMvit3

### localBuf

    protected FloatBuffer localBuf

### matrixMult

    protected FloatBuffer matrixMult

### matrixTrans

    protected FloatBuffer matrixTrans

### matrixRot

    protected FloatBuffer matrixRot

### matrixScale

    protected FloatBuffer matrixScale

### matrixOrtho

    protected FloatBuffer matrixOrtho

### matrixFrustum

    protected FloatBuffer matrixFrustum

### vec3f

    protected float[] vec3f

### matrixTStack

    protected List matrixTStack

### matrixPStack

    protected List matrixPStack

### matrixMvStack

    protected List matrixMvStack

### matrixMode

    protected int matrixMode

### modified

    protected int modified

### projectFloat

    protected com.sun.opengl.impl.ProjectFloat projectFloat

### DIRTY_MODELVIEW

    public static final int DIRTY_MODELVIEW

See Also:
  Constant Field Values

### DIRTY_PROJECTION

    public static final int DIRTY_PROJECTION

See Also:
  Constant Field Values

### DIRTY_TEXTURE

    public static final int DIRTY_TEXTURE

See Also:
  Constant Field Values

Constructor Detail

### PMVMatrix

    public PMVMatrix()

Method Detail

### destroy

    public void destroy()

### isMatrixModeName

    public static final boolean isMatrixModeName(int matrixModeName)

### matrixModeName2MatrixGetName

    public static final int matrixModeName2MatrixGetName(int matrixModeName)

### isMatrixGetName

    public static final boolean isMatrixGetName(int matrixGetName)

### matrixGetName2MatrixModeName

    public static final int matrixGetName2MatrixModeName(int matrixGetName)

### setDirty

    public void setDirty()

### getDirtyBits

    public int getDirtyBits()

### isDirty

    public boolean isDirty(int matrixName)

### isDirty

    public boolean isDirty()

### update

    public boolean update()

### glGetMatrixMode

    public final int glGetMatrixMode()

### glGetTMatrixf

    public final FloatBuffer glGetTMatrixf()

### glGetPMatrixf

    public final FloatBuffer glGetPMatrixf()

### glGetMvMatrixf

    public final FloatBuffer glGetMvMatrixf()

### glGetPMvMvitPmvMatrixf

    public final FloatBuffer glGetPMvMvitPmvMatrixf()

### glGetPMvMvitMatrixf

    public final FloatBuffer glGetPMvMvitMatrixf()

### glGetPMvMviMatrixf

    public final FloatBuffer glGetPMvMviMatrixf()

### glGetPMvMatrixf

    public final FloatBuffer glGetPMvMatrixf()

### glGetMviMatrixf

    public final FloatBuffer glGetMviMatrixf()

### glGetPmvMatrixf

    public final FloatBuffer glGetPmvMatrixf()

### glGetNormalMatrixf

    public final FloatBuffer glGetNormalMatrixf()

### glGetMatrixf

    public final FloatBuffer glGetMatrixf()

### glGetMatrixf

    public final FloatBuffer glGetMatrixf(int matrixName)

  Parameters:
    `pname` - GL_MODELVIEW, GL_PROJECTION or GL.GL_TEXTURE
  Returns:
    the given matrix

### gluPerspective

    public final void gluPerspective(float fovy,
                                     float aspect,
                                     float zNear,
                                     float zFar)

### glMultMatrixf

    public static final void glMultMatrixf(FloatBuffer a,
                                           FloatBuffer b,
                                           FloatBuffer p)

### glMultMatrixf

    public static final void glMultMatrixf(FloatBuffer a,
                                           float[] b,
                                           int b_off,
                                           FloatBuffer p)

### glMatrixMode

    public void glMatrixMode(int matrixName)

  Description copied from interface: `GLMatrixFunc`
  sets the current matrix

  Specified by:
    `glMatrixMode` in interface `GLMatrixFunc`

### glGetFloatv

    public void glGetFloatv(int matrixGetName,
                            FloatBuffer params)

  Description copied from interface: `GLMatrixFunc`
  glGetFloatv

  Specified by:
    `glGetFloatv` in interface `GLMatrixFunc`
  Parameters:
    `matrixGetName` - GL_MODELVIEW_MATRIX, GL_PROJECTION_MATRIX or GL_TEXTURE_MATRIX
    `params` - the FloatBuffer's position remains unchanged, which is the same behavior than the native JOGL GL impl

### glGetFloatv

    public void glGetFloatv(int matrixGetName,
                            float[] params,
                            int params_offset)

  Specified by:
    `glGetFloatv` in interface `GLMatrixFunc`

### glGetIntegerv

    public void glGetIntegerv(int pname,
                              IntBuffer params)

  Description copied from interface: `GLMatrixFunc`
  glGetIntegerv

  Specified by:
    `glGetIntegerv` in interface `GLMatrixFunc`
  Parameters:
    `pname` - GL_MATRIX_MODE
    `params` - the FloatBuffer's position remains unchanged which is the same behavior than the native JOGL GL impl

### glGetIntegerv

    public void glGetIntegerv(int pname,
                              int[] params,
                              int params_offset)

  Specified by:
    `glGetIntegerv` in interface `GLMatrixFunc`

### glLoadMatrixf

    public final void glLoadMatrixf(float[] values,
                                    int offset)

  Specified by:
    `glLoadMatrixf` in interface `GLMatrixFunc`

### glLoadMatrixf

    public final void glLoadMatrixf(FloatBuffer m)

  Description copied from interface: `GLMatrixFunc`
  glLoadMatrixf

  Specified by:
    `glLoadMatrixf` in interface `GLMatrixFunc`

### glPopMatrix

    public final void glPopMatrix()

  Specified by:
    `glPopMatrix` in interface `GLMatrixFunc`

### glPushMatrix

    public final void glPushMatrix()

  Specified by:
    `glPushMatrix` in interface `GLMatrixFunc`

### glLoadIdentity

    public final void glLoadIdentity()

  Specified by:
    `glLoadIdentity` in interface `GLMatrixFunc`

### glMultMatrixf

    public final void glMultMatrixf(FloatBuffer m)

  Description copied from interface: `GLMatrixFunc`
  glMultMatrixf

  Specified by:
    `glMultMatrixf` in interface `GLMatrixFunc`

### glMultMatrixf

    public void glMultMatrixf(float[] m,
                              int m_offset)

  Specified by:
    `glMultMatrixf` in interface `GLMatrixFunc`

### glTranslatef

    public final void glTranslatef(float x,
                                   float y,
                                   float z)

  Specified by:
    `glTranslatef` in interface `GLMatrixFunc`

### glRotatef

    public final void glRotatef(float angdeg,
                                float x,
                                float y,
                                float z)

  Specified by:
    `glRotatef` in interface `GLMatrixFunc`

### glScalef

    public final void glScalef(float x,
                               float y,
                               float z)

  Specified by:
    `glScalef` in interface `GLMatrixFunc`

### glOrthof

    public final void glOrthof(float left,
                               float right,
                               float bottom,
                               float top,
                               float zNear,
                               float zFar)

  Specified by:
    `glOrthof` in interface `GLMatrixFunc`

### glFrustumf

    public final void glFrustumf(float left,
                                 float right,
                                 float bottom,
                                 float top,
                                 float zNear,
                                 float zFar)

  Specified by:
    `glFrustumf` in interface `GLMatrixFunc`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.